Get all service AI agent metric details

get

/api/boss/data/objects/ora/cxServiceCore/common/v1/serviceAIAgentMetrics/$views/serviceAIAgentMetricDetails

The service AI agent metric contains information about invocation of AI agents and the subsequent interaction of humans with AI's recommendations.

Request

Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
  • Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
    Default Value: 25
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
    Default Value: 0
  • Orders a resource collection based on the specified fields. The parameter value is a comma-separated string of field names, each optionally followed by a colon and "asc" (default) or "desc".

There's no request body for this operation.

Back to Top

Response

Default Response

Successful response of retrieving view serviceAIAgentMetricDetails for resource Service AI Agent Metrics
Body ()
Root Schema : serviceAIAgentMetrics_view-serviceAIAgentMetricDetails
Match All
The service AI agent metric contains information about invocation of AI agents and the subsequent interaction of humans with AI's recommendations.
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : serviceAIAgentMetrics_view-serviceAIAgentMetricDetails-allOf[1]
Type: object
The service AI agent metric contains information about invocation of AI agents and the subsequent interaction of humans with AI's recommendations.
Show Source
Nested Schema : totalItems
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : items-allOf[0]
Match All
Show Source
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : items-allOf[0]-allOf[1]
Type: object
Show Source
Nested Schema : items-allOf[1]
Type: object
Nested Schema : $context
Type: object
Show Source
Nested Schema : confidenceScoreCode
Match All
The code for the confidence score of the service AI agent metric.
Show Source
  • Title: Confidence Score Code
    The code for the confidence score of the service AI agent metric.
  • Allowed Values: [ "ORA_SVC_COSINE", "ORA_SVC_JACCARD" ]
Nested Schema : objectType
Match All
Show Source
Nested Schema : outcomeType
Match All
Show Source
Nested Schema : serviceWorkflow
Match All
Show Source
Nested Schema : userDecision
Match All
Show Source
Nested Schema : userFeedback
Match All
Show Source
Nested Schema : objectType-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : outcomeType-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : serviceWorkflow-allOf[1]
Type: object
Show Source
Nested Schema : userDecision-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : userFeedback-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Back to Top

Examples

The following example shows how to get all service AI agent metrics details by submitting a GET request on the REST resource using cURL.

cURL Command

curl -X GET --location 'https://servername.fa.us2.oraclecloud.com/api/boss/data/objects/ora/cxServiceCore/common/v1/$en-US/serviceAIAgentMetrics/$views/serviceAIAgentMetricDetails?$limit=2&$sortBy=timeUpdated:desc' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>'

Example of Response Body

The following shows the contents of the response body in JSON format.

{
    "items": [
        {
            "id": "300100673427844",
            "number": "CDRM_0000043915",
            "timeCreated": "2026-08-07T12:48:34.694343Z",
            "createdBy": "AUTOUICASE2",
            "updatedBy": "AUTOUICASE2",
            "timeUpdated": "2026-08-07T12:48:34.694343Z",
            "agentTeamCode": "ORA_SERVICE_REQUEST_SIMILARITY_ADVISOR_RA",
            "agentTeamVersion": "1",
            "agentCode": null,
            "agentVersion": null,
            "objectReferenceNumber": null,
            "jobExecutionNumber": "5bf0bde0-a2f9-4383-8c40-cf680cb29503",
            "humanInLoopFlag": false,
            "recommendationDisplayFlag": false,
            "confidenceScoreCode": null,
            "confidenceScore": null,
            "userFeedbackRating": null,
            "userFeedbackComment": null,
            "outcomeObjectIdentifier": null,
            "conversationNumber": null,
            "$id": "CDRM_0000043915",
            "$context": {
                "etag": "1",
                "links": {
                    "$self": {
                        "href": "https://servername.fa.us2.oraclecloud.com/api/boss/data/objects/ora/cxServiceCore/common/v1/$en-US/serviceAIAgentMetrics/CDRM_0000043915"
                    }
                }
            },
            "serviceWorkflow": null,
            "objectType": null,
            "userDecision": null,
            "userFeedback": null,
            "outcomeType": null
        },
        {
            "id": "300100673425901",
            "number": "CDRM_0000043908",
            "timeCreated": "2026-08-07T12:46:54.146744Z",
            "createdBy": "fusion",
            "updatedBy": "fusion",
            "timeUpdated": "2026-08-07T12:46:54.146744Z",
            "agentTeamCode": "ORA_SVC_SOW_RESOURCE_ALLOCATION_ASSISTANT",
            "agentTeamVersion": "1",
            "agentCode": null,
            "agentVersion": null,
            "objectReferenceNumber": null,
            "jobExecutionNumber": "7dc7b053-4b57-4359-9411-f4940b6e8526",
            "humanInLoopFlag": false,
            "recommendationDisplayFlag": false,
            "confidenceScoreCode": null,
            "confidenceScore": null,
            "userFeedbackRating": null,
            "userFeedbackComment": null,
            "outcomeObjectIdentifier": null,
            "conversationNumber": null,
            "$id": "CDRM_0000043908",
            "$context": {
                "etag": "1",
                "links": {
                    "$self": {
                        "href": "https://servername.fa.us2.oraclecloud.com/api/boss/data/objects/ora/cxServiceCore/common/v1/$en-US/serviceAIAgentMetrics/CDRM_0000043908"
                    }
                }
            },
            "serviceWorkflow": null,
            "objectType": null,
            "userDecision": null,
            "userFeedback": null,
            "outcomeType": null
        }
    ],
    "hasMore": true
}
Back to Top